4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.SDist

Classes: SDist

## Classes

class SDist(distutils.command.sdist.sdist)
  Extended 'sdist' command that uses 'manifest_templates' from the distribution options instead of manifest files.

  ### Methods

  add_defaults(self)
    Add all the default files to self.filelist: - setup.py - README or README.txt (in all directories) - all pure Python modules mentioned in setup script - all C sources listed as part of extensions or C libraries in the setup script (doesn't catch C headers!)
    Overrides: add_defaults from class sdist
  check_distribution(self)
  get_file_list(self)
    Figure out the list of files to include in the source distribution, and put it in 'self.filelist'.
    Overrides: get_file_list from class sdist
  make_distribution(self)
    Overrides: make_distribution from class sdist
  prune_file_list(self, filelist)
    Prune off branches that might slip into the file list as created by 'read_template()', but really don't belong there: * the build tree (typically "build") * the release tree itself (only an issue if we ran "sdist" previously with --keep-temp, or it aborted) * any RCS or CVS directories
    Overrides: prune_file_list from class sdist

  ### Methods inherited from class distutils.command.sdist.sdist

  check_metadata, finalize_options, get_archive_files, initialize_options, make_release_tree, read_manifest, read_template, run, write_manifest

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'sdist'
  description = 'create a source distribution (tarball, zip file, etc.)'
  negative_opt = {}
  user_options = [('use-defaults', None, 'include the default file set in the manifest [default; disable with --no-defaults]'), ('no-defaults', None, "don't include the default file set"), ('prune', None, 'specifically exclude files/directories that shou...VS dirs, etc.) [default; disable with --no-prune]'), ('no-prune', None, "don't automatically exclude anything"), ('formats=', None, 'formats for source distribution (comma-separated list)'), ('keep-temp', 'k', 'keep the distribution tree around after creating archive file(s)'), ('dist-dir=', 'd', 'directory to put the source distribution archive(s) in [default: dist]')]

  ### Members inherited from class distutils.command.sdist.sdist

  boolean_options, default_format, help_options

  ### Members inherited from class distutils.cmd.Command

  sub_commands